
/***************************************************************************
**                         BIBOM - LODERUNNER                             **
**                      Copyright (C) 2002-2003,                          **
**                Vincent Pelletier <vpel@mageos.com>                     **
**                                                                        **
**  This program is free software; you can redistribute it and/or modify  **
**  it under the terms of the GNU General Public License as published by  **
**  the Free Software Foundation; either version 2 of the License, or     **
**  (at your option) any later version.                                   **
**                                                                        **
**  This program is distributed in the hope that it will be useful,       **
**  but WITHOUT ANY WARRANTY; without even the implied warranty of        **
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         **
**  GNU General Public License for more details.                          **
***************************************************************************/ 

#ifndef _ENEMY_
#define _ENEMY_

#include "Character.hpp"
#include "Hero.hpp"

// --------------------------------------------------------

class Enemy:public Character
{
	private:
		Hero* hero;

	public:
		Enemy(Environment *env, MapManager* m,SDL_Surface *sprite,Hero* hero,int speed);
		virtual ~Enemy();

		void newLevel(void);
		virtual void initialize(void);

		// define where to go (pathfinding to hero)
		void move(void); 
};

// --------------------------------------------------------

#endif	// _ENEMY_
